Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class DocumentDefinition

    java.lang.Object
      oracle.ifs.beans.LibraryObjectDefinition
          oracle.ifs.beans.PublicObjectDefinition
              oracle.ifs.beans.DocumentDefinition

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  MailDocumentDefinition, RecipeDocumentDefinition, Rfc822MessageDefinition

    public class DocumentDefinition

extends PublicObjectDefinition

The `DocumentDefinition` class is used to construct a Document object. This subclass of PublicObjectDefinition sets the default ClassObject to "DOCUMENT"

Document maintains Content via a reference to a ContentObject. Thus, to create Content a ContentObjectDefinition is used. This Definition has convenience methods to manipulate a ContentObjectDefinition; or you may access the ContentObjectDefinition directly.

Note that the only way to modify the attributes of a ContentObject (for non-admin users) is to pass a ContentObjectDefinition to a DocumentDefinition and call update on a Document to which you have access. For that reason, all ContentObjectDefinition methods have been implemented as wrappers in the DocumentDefinition class, thus eliminating the need to deal with ContentObjectDefinition directly.

See Also:
  `Document`, `ContentObjectDefinition`, Serialized Form
(Published)

Field Summary

Fields inherited from class oracle.ifs.beans.LibraryObjectDefinition
`m_Attributes, m_ClassObjectName, m_ClassObjectValue, m_ContentSpecifications, m_DefinitionLists, m_Definitions, m_EnclosedDefinition, m_Id, m_Options, m_ReadOnly, m_ReferenceAttributes, m_Session, m_SystemOptions`

Constructor Summary
`DocumentDefinition(LibrarySessionInterface session)` Construct a definition explicitly capturing the session.
`DocumentDefinition(LibrarySessionInterface session, java.lang.String className)` Construct a definition, explicitly capturing the session and setting the initial classobject.

Method Summary
`java.lang.String` | `getCharacterSet(LibrarySession sess)` Deprecated. CM SDK 10gR2: use getContentObjectDefinition() and use getAttribute() on it to get Attribute settings
`java.lang.String` | `getContent()` Gets the previously set String of content as set in this definition, or null if no String was specified.
`ContentObjectDefinition` | `getContentObjectDefinition()` Gets the currently allocated ContentObjectDefinition, whether set explicitly by setContentObjectDefinition, or allocated by one of the content convenience methods.
`java.lang.String` | `getContentPath()` Gets the path of the local file content, or null if no local file was specified.
`java.io.Reader` | `getContentReader()` Gets the Reader from which this document will be loaded.
`java.io.InputStream` | `getContentStream()` Gets the InputStream from which this document will be loaded.
`Format` | `getFormat(LibrarySession sess)` Gets the format for this DocumentDefinition.
`java.lang.String` | `getLanguage(LibrarySession sess)` Deprecated. CM SDK 10gR2: use getContentObjectDefinition() and use getAttribute() on it to get Attribute settings
`Media` | `getMedia()` Gets the previously set media (or null if none set).
`AttributeValue` | `getNextLifecyclePolicyEntryValue()` Gets the next LifecyclePolicyEntry to be used as the state of the document.
`ContentObjectDefinition` | `getOrCreateContentObjectDefinition()` Gets an existing ContentObjectDefinition or creates a new one if one does not already exist.
`LibraryObject` | `getReferringLibraryObject()` Deprecated. CM SDK 10gR2: use getReferringLibraryObjectValue()
`AttributeValue` | `getReferringLibraryObjectValue()` Gets the referring LibraryObject through which access is granted to the shared ContentObject or null if no existing ContentObject was specified.
`ContentObject` | `getSharedContentObject()` Deprecated. CM SDK 10gR2: use getSharedContentObjectValue()
`AttributeValue` | `getSharedContentObjectValue()` Gets the existing ContentObject with which this Document will share content.
`boolean` | `isContentSpecified()` Return indication as to whether content is specified in the definition.
`void` | `prepareForDefinitionObject(LibrarySession sess)` Perform any changes to the definition prior to storing it into a DefinitionObject.
`void` | `removeContentSpecifications()` Remove all content specifications from the definition.
`void` | `setCharacterSet(java.lang.String charset)` Sets the characterset of the content.
`void` | `setContent(java.lang.String content)` Sets the content of the document that will be loaded/created.
`void` | `setContentBfileReference(java.lang.String parentFolderPath, java.lang.String fileName, java.lang.Long contentSize)` Deprecated. 11.1+: use `ContentObjectDefinition.setContentReference`
`void` | `setContentObjectDefinition(ContentObjectDefinition cod)` Sets the ContentObjectDefinition of the document that will be used to create/update the content object associated with this document.
`void` | `setContentPath(java.lang.String contentPath)` Sets the path of the local file from which this document will be loaded/created.
`void` | `setContentReader(java.io.Reader contentReader)` Sets the content Reader from which the document will be loaded/created.
`void` | `setContentStream(java.io.InputStream contentStream)` Sets the content InputStream from which the document will be loaded/created.
`void` | `setEmptyContent()` Creates content of zero length.
`void` | `setFormat(Format format)` Sets the format describing the type of content.
`void` | `setLanguage(java.lang.String language)` Sets the language of the content.
`void` | `setMedia(Media media)` Sets explicitly the media for a new document.
`void` | `setNextLifecyclePolicyEntryValue(AttributeValue av)` Sets the next LifecyclePolicyEntry to be used as the state of the document.
`void` | `setNullContent()` Calling this method specifies that the target document should not have content.
`void` | `setSharedContentObject(ContentObject contentObject, LibraryObject refObj)` Deprecated. CM SDK 10gR2: use setSharedContentObjectValue()
`void` | `setSharedContentObjectValue(AttributeValue contentObjectValue, AttributeValue refObjValue)` Shares the content of an existing object.
`static DocumentDefinition` | `toDocumentDefinition(LibraryObjectDefinition lodef)` Cast specified LibraryObjectDefinition to a DocumentDefinition.
`static DocumentDefinition` | `toDocumentDefinition(LibraryObjectDefinition lodef, boolean enforceCompat)` Cast specified LibraryObjectDefinition to a DocumentDefinition.

Methods inherited from class oracle.ifs.beans.PublicObjectDefinition
`addCategoryDefinition, addCategoryDefinitions, getAddToFolderOption, getAddToFolderValue, getAutoFolderingActionSpecification, getCascadeCopyRelationshipsOption, getCascadeCopyRelationshipsOptionValue, getCategoryCopyOption, getCategoryDefinitions, getContentQuotaCopyOption, getCreateCategoriesServerSideOption, getExplicitCreateAndModifyAttributesOption, getExplicitCreateDate, getExplicitLastModifyDate, getFreeIfLastFolderReferenceOption, getKeepLastModifierOption, getKeepLastModifyDateOption, getLockEntryDefinition, getLockObject, getLockObjectDefinition, getLockObjectValue, getSecuringPublicObject, getSecuringPublicObjectValue, getUpdatedLockObjectDefinition, removeCategoryDefinitions, removeLockEntryDefinition, setAddToFolderOption, setAddToFolderValue, setAutoFolderingActionSpecification, setAutoFolderingActionSpecification, setCascadeCopyRelationshipsOption, setCategoryCopyOption, setCategoryDefinitions, setContentQuotaCopyOption, setCreateCategoriesServerSideOption, setExplicitCreateAndModifyAttributesOption, setExplicitCreateDate, setExplicitLastModifyDate, setFreeIfLastFolderReferenceOption, setKeepLastModifierOption, setKeepLastModifyDateOption, setLockEntryDefinition, setLockObject, setLockObjectDefinition, setLockObjectValue, setNullSecurity, setPrivateSecurity, setSecuringPublicObject, setSecuringPublicObjectValue, setUpdatedLockObjectDefinition, toPublicObjectDefinition, toPublicObjectDefinition`

Methods inherited from class oracle.ifs.beans.LibraryObjectDefinition
`addDefinition, addDefinitions, addProperty, addPropertyDefinition, addPropertyDefinitions, captureSession, captureSession, captureSession, clone, constructInstance, constructInstance, copyInto, getAttribute, getAttribute, getAttributes, getAttributes, getAttributesSorted, getClassId, getClassObject, getClassObjectValue, getContentSpecification, getContentSpecificationKeys, getCopiedObjectValue, getDefinition, getDefinitionClassName, getDefinitionKeys, getDefinitionListKeys, getDefinitions, getId, getLibrarySession, getName, getOption, getOptionAsAttributeValue, getOptionKeys, getPolicyMode, getPropertyDefinitions, getReferenceAttribute, getReferenceAttributes, getServerDefinition, getSession, getSLibrarySession, getStringAttribute, getSystemOption, getSystemOptionAsAttributeValue, getSystemOptionAsBoolean, getSystemOptionKeys, getWriteableInstance, isReadOnly, removeAttribute, removeContentSpecification, removeDefinition, removeDefinitions, removeOption, removePropertyDefinitions, removeReferenceAttribute, removeSystemOption, reset, resolve, setAttribute, setAttribute, setAttribute, setAttributeByUpperCaseName, setAttributeByUpperCaseName, setAttributePolicyMode, setAttributes, setClassId, setClassname, setClassObject, setClassObjectValue, setContentSpecification, setCopiedObjectValue, setDefinition, setDefinitions, setId, setName, setOption, setReadOnly, setReferenceAttribute, setReferenceAttribute, setSession, setSystemOption, unresolve, verifySession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentDefinition

    public DocumentDefinition(LibrarySessionInterface session)
                       throws IfsException

  Construct a definition explicitly capturing the session. The initial ClassObject will be Document.

  Parameters:
    `session` - the current session
  Throws:
    `IfsException` - if the operation fails
  (Published)

### DocumentDefinition

    public DocumentDefinition(LibrarySessionInterface session,
                              java.lang.String className)
                       throws IfsException

  Construct a definition, explicitly capturing the session and setting the initial classobject.

  Parameters:
    `session` - the current session
    `className` - the initial class name
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### setFormat

    public void setFormat(Format format)
                   throws IfsException

  Description copied from class: `DocumentDefinition`
  Sets the format describing the type of content. This is a convenience method that allocates a ContentObjectDefinition (if one is not already allocated) and calls the liked named method on it.

  Parameters:
    `format` - the desired Format object.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### setCharacterSet

    public void setCharacterSet(java.lang.String charset)
                         throws IfsException

  Description copied from class: `DocumentDefinition`
  Sets the characterset of the content. This is a convenience method that allocates a ContentObjectDefinition (if one is not already allocated) and calls the liked named method on it. Be sure to use the Java naming convention and not the Iana or Oracle name for character set values (i.e. ISO8859_1 is valid, ISO-8859-1 is invalid).

  Parameters:
    `charset` - the java name of the desired character set
  Throws:
    `IfsException` - if operation fails.
  (Published)

### setLanguage

    public void setLanguage(java.lang.String language)
                     throws IfsException

  Description copied from class: `DocumentDefinition`
  Sets the language of the content. This is a convenience method that allocates a ContentObjectDefinition (if one is not already allocated) and calls the liked named method on it.

  Parameters:
    `language` - the Oracle name of the desired language
  Throws:
    `IfsException` - if operation fails.
  (Published)

### setMedia

    public void setMedia(Media media)
                  throws IfsException

  Description copied from class: `DocumentDefinition`
  Sets explicitly the media for a new document. Note that you cannot modify an existing document's media this way. This is a convenience method that allocates a ContentObjectDefinition (if one is not already allocated) and calls the liked named method on it.

  Parameters:
    `media` - the Media object
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getMedia

    public Media getMedia()
                   throws IfsException

  Description copied from class: `DocumentDefinition`
  Gets the previously set media (or null if none set). This is a convenience method that calls the liked named method on the contained ContentObjectDefinition.

  Returns:
    media the Media set for this Document
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setContentPath

    public void setContentPath(java.lang.String contentPath)
                        throws IfsException

  Description copied from class: `DocumentDefinition`
  Sets the path of the local file from which this document will be loaded/created. This is a convenience method that allocates a ContentObjectDefinition (if one is not already allocated) and calls setContentPath on it.

  Parameters:
    `contentPath` - the file from which content will be loaded/created.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### setContentStream

    public void setContentStream(java.io.InputStream contentStream)
                          throws IfsException

  Description copied from class: `DocumentDefinition`
  Sets the content InputStream from which the document will be loaded/created. This is a convenience method that allocates a ContentObjectDefinition (if one is not already allocated) and calls the liked named method on it.

  Parameters:
    `contentStream` - an InputStream from which content will be loaded/created.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### setContentBfileReference

    public void setContentBfileReference(java.lang.String parentFolderPath,
                                         java.lang.String fileName,
                                         java.lang.Long contentSize)
                                  throws IfsException

  Deprecated. 11.1+: use `ContentObjectDefinition.setContentReference`

  Description copied from class: `DocumentDefinition`
  Sets the external file reference on the document definition. This will be used to create a BFILE reference at the time of document creation.

  This operation requires administration mode.

  Parameters:
    `parentFolderPath` - absolute path of parent folder of external file
    `fileName` - name of the external file
    `contentSize` - Size of the external file; If null, the size is determined by the server
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setContentReader

    public void setContentReader(java.io.Reader contentReader)
                          throws IfsException

  Description copied from class: `DocumentDefinition`
  Sets the content Reader from which the document will be loaded/created. This is a convenience method that allocates a ContentObjectDefinition (if one is not already allocated) and calls the liked named method on it.

  Parameters:
    `contentReader` - a Reader from which content will be loaded/created.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### setContent

    public void setContent(java.lang.String content)
                    throws IfsException

  Description copied from class: `DocumentDefinition`
  Sets the content of the document that will be loaded/created. This is a convenience method that allocates a ContentObjectDefinition (if one is not already allocated) and calls the liked named method on it.

  Parameters:
    `content` - A String which contains the content which will be loaded into the new document.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### setEmptyContent

    public void setEmptyContent()
                         throws IfsException

  Description copied from class: `DocumentDefinition`
  Creates content of zero length. This is different than not having content, which is achieved via setNullContent(). This is a convenience method that allocates a ContentObjectDefinition (if one is not already allocated) and calls the liked named method on it.

  Throws:
    `IfsException` - if operation fails.
  (Published)

### setSharedContentObject

    public void setSharedContentObject(ContentObject contentObject,
                                       LibraryObject refObj)
                                throws IfsException

  Deprecated. CM SDK 10gR2: use setSharedContentObjectValue()

  Description copied from class: `DocumentDefinition`
  Shares the content of an existing object. On the server, the content is truly shared, not copied. Note that calling this method will clear any other content settings already made (via a ContentObjectDefinition or one of the convenience wrappers).

  Parameters:
    `contentObject` - An existing ContentObject to which this new document will refer.
    `refObj` - An existing LibraryObject through which you are allowed access to the existing ContentObject.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### setSharedContentObjectValue

    public void setSharedContentObjectValue(AttributeValue contentObjectValue,
                                            AttributeValue refObjValue)
                                     throws IfsException

  Description copied from class: `DocumentDefinition`
  Shares the content of an existing object. On the server, the content is truly shared, not copied. Note that calling this method will clear any other content settings already made (via a ContentObjectDefinition or one of the convenience wrappers).

  Parameters:
    `contentObjectValue` - An existing contentObject to which this new document will refer.
    `refObjValue` - An existing object through which you are allowed access to the existing
  Throws:
    `IfsException` - if operation fails.
  (Published)

### setContentObjectDefinition

    public void setContentObjectDefinition(ContentObjectDefinition cod)
                                    throws IfsException

  Description copied from class: `DocumentDefinition`
  Sets the ContentObjectDefinition of the document that will be used to create/update the content object associated with this document. Most content convenience methods on DocumentDefinition will allocate a ContentObjectDefinition. Calling this method will replace any previously allocated definition.

  Parameters:
    `cod` - a ContentObjectDefinition which contains the content to be loaded into the new document.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getContentObjectDefinition

    public ContentObjectDefinition getContentObjectDefinition()
                                                       throws IfsException

  Description copied from class: `DocumentDefinition`
  Gets the currently allocated ContentObjectDefinition, whether set explicitly by setContentObjectDefinition, or allocated by one of the content convenience methods.

  Returns:
    the ContentObjectDefinition object
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getOrCreateContentObjectDefinition

    public ContentObjectDefinition getOrCreateContentObjectDefinition()
                                                               throws IfsException

  Description copied from class: `DocumentDefinition`
  Gets an existing ContentObjectDefinition or creates a new one if one does not already exist.

  Returns:
    the ContentObjectDefinition object
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setNullContent

    public void setNullContent()
                        throws IfsException

  Description copied from class: `DocumentDefinition`
  Calling this method specifies that the target document should not have content. This method is most useful for removing content on an existing document. NOTE that this means that existing content will be deleted (irrevocably) from an existing document.

  Throws:
    `IfsException` - if operation fails.
  (Published)

### getFormat

    public Format getFormat(LibrarySession sess)
                     throws IfsException

  Description copied from class: `DocumentDefinition`
  Gets the format for this DocumentDefinition. This is a convenience method that calls the liked named method on the contained ContentObjectDefinition.

  Returns:
    the Format object
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getCharacterSet

    public java.lang.String getCharacterSet(LibrarySession sess)
                                     throws IfsException

  Deprecated. CM SDK 10gR2: use getContentObjectDefinition() and use getAttribute() on it to get Attribute settings

  Description copied from class: `DocumentDefinition`
  Gets the Iana character set for this DocumentDefinition.

  Returns:
    the Iana character set
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getLanguage

    public java.lang.String getLanguage(LibrarySession sess)
                                 throws IfsException

  Deprecated. CM SDK 10gR2: use getContentObjectDefinition() and use getAttribute() on it to get Attribute settings

  Description copied from class: `DocumentDefinition`
  Gets the Oracle language for this DocumentDefinition.

  Returns:
    the language in Oracle naming convention
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getContentPath

    public java.lang.String getContentPath()
                                    throws IfsException

  Description copied from class: `DocumentDefinition`
  Gets the path of the local file content, or null if no local file was specified. This is a convenience method that calls the liked named method on the contained ContentObjectDefinition.

  Returns:
    the local content path
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getContent

    public java.lang.String getContent()
                                throws IfsException

  Description copied from class: `DocumentDefinition`
  Gets the previously set String of content as set in this definition, or null if no String was specified. This is a convenience method that calls the liked named method on the contained ContentObjectDefinition.

  Returns:
    the content
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getContentStream

    public java.io.InputStream getContentStream()
                                         throws IfsException

  Description copied from class: `DocumentDefinition`
  Gets the InputStream from which this document will be loaded. or null if no InputStream was specified. This is a convenience method that calls the liked named method on the contained ContentObjectDefinition.

  Returns:
    the specified content stream
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getContentReader

    public java.io.Reader getContentReader()
                                    throws IfsException

  Description copied from class: `DocumentDefinition`
  Gets the Reader from which this document will be loaded. or null if no Reader was specified. This is a convenience method that calls the liked named method on the contained ContentObjectDefinition.

  Returns:
    the specified content reader
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getSharedContentObject

    public ContentObject getSharedContentObject()
                                         throws IfsException

  Deprecated. CM SDK 10gR2: use getSharedContentObjectValue()

  Description copied from class: `DocumentDefinition`
  Gets the existing ContentObject with which this Document will share content. or null if no existing ContentObject was specified.

  Returns:
    the ContentObject to be shared
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getSharedContentObjectValue

    public AttributeValue getSharedContentObjectValue()
                                               throws IfsException

  Description copied from class: `DocumentDefinition`
  Gets the existing ContentObject with which this Document will share content. or null if no existing ContentObject was specified.

  Returns:
    the value of the ContentObject to be shared
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getReferringLibraryObject

    public LibraryObject getReferringLibraryObject()
                                            throws IfsException

  Deprecated. CM SDK 10gR2: use getReferringLibraryObjectValue()

  Description copied from class: `DocumentDefinition`
  Gets the referring LibraryObject through which access is granted to the shared ContentObject or null if no existing ContentObject was specified.

  Returns:
    the referring LibraryObject
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getReferringLibraryObjectValue

    public AttributeValue getReferringLibraryObjectValue()
                                                  throws IfsException

  Description copied from class: `DocumentDefinition`
  Gets the referring LibraryObject through which access is granted to the shared ContentObject or null if no existing ContentObject was specified.

  Returns:
    the value of the referring LibraryObject
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setNextLifecyclePolicyEntryValue

    public void setNextLifecyclePolicyEntryValue(AttributeValue av)
                                          throws IfsException

  Description copied from class: `DocumentDefinition`
  Sets the next LifecyclePolicyEntry to be used as the state of the document.

  Should represent a null SystemObject value to indicate the initial lifecycle state. A null AttributeValue arg will clear the setting, and is not equivalent to specifying a null-valued AttributeValue.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### getNextLifecyclePolicyEntryValue

    public AttributeValue getNextLifecyclePolicyEntryValue()
                                                    throws IfsException

  Description copied from class: `DocumentDefinition`
  Gets the next LifecyclePolicyEntry to be used as the state of the document.

  Should represent a null value to indicate the initial lifecycle state.

  Returns:
    the value of LifecyclePolicyEntry
  Throws:
    `IfsException` - if the operation fails
  (Published)

### isContentSpecified

    public boolean isContentSpecified()
                               throws IfsException

  Description copied from class: `DocumentDefinition`
  Return indication as to whether content is specified in the definition.

  Returns:
    true if content is specified
  Throws:
    `IfsException` - if operation fails.
  (Published)

### removeContentSpecifications

    public void removeContentSpecifications()
                                     throws IfsException

  Description copied from class: `DocumentDefinition`
  Remove all content specifications from the definition.

  Throws:
    `IfsException` - if operation fails.
  (Published)

### prepareForDefinitionObject

    public void prepareForDefinitionObject(LibrarySession sess)
                                    throws IfsException

  Description copied from class: `DocumentDefinition`
  Perform any changes to the definition prior to storing it into a DefinitionObject.

  Overrides:
    `prepareForDefinitionObject` in class `LibraryObjectDefinition`
  Parameters:
    `sess` - The current session context
  Throws:
    `IfsException` - if operation fails.

### toDocumentDefinition

    public static DocumentDefinition toDocumentDefinition(LibraryObjectDefinition lodef)
                                                   throws IfsException

  Description copied from class: `DocumentDefinition`
  Cast specified LibraryObjectDefinition to a DocumentDefinition.

  Return null if the specified definition is not a DocumentDefinition, or if the specified definition is null.

  Parameters:
    `lodef` - the definition to be casted
  Returns:
    a DocumentDefinition casted from the specified definition
  Throws:
    `IfsException` - is not currently thrown.
  (Unpublished)

### toDocumentDefinition

    public static DocumentDefinition toDocumentDefinition(LibraryObjectDefinition lodef,
                                                          boolean enforceCompat)
                                                   throws IfsException

  Description copied from class: `DocumentDefinition`
  Cast specified LibraryObjectDefinition to a DocumentDefinition.

  Return null if the specified definition is null. If non-null and unable to cast, return null if enforceCompat is false but throw an IfsException if the specified definition is not a DocumentDefinition.

  Parameters:
    `lodef` - the definition to be casted
    `enforceCompat` - whether to throw an exception if a non-null definition cannot be cast
  Returns:
    a DocumentDefinition casted from the specified definition
  Throws:
    `IfsException` - (IFS-10822) if operation fails.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD